Bug 20877 - [XQX30] contextItemDecl
Summary: [XQX30] contextItemDecl
Status: CLOSED FIXED
Alias: None
Product: XPath / XQuery / XSLT
Classification: Unclassified
Component: XQueryX 3.0 (show other bugs)
Version: Candidate Recommendation
Hardware: PC Windows NT
: P2 normal
Target Milestone: ---
Assignee: Jim Melton
QA Contact: Mailing list for public feedback on specs from XSL and XML Query WGs
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-05 15:35 UTC by Tim Mills
Modified: 2013-11-19 00:17 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tim Mills 2013-02-05 15:35:45 UTC
The contextItemDecl permits the context item type to be declared as any sequence type.  To be consistent with XQuery, it should only permit item types.
Comment 1 Jim Melton 2013-03-18 01:21:02 UTC
Indeed, you are correct.  I note that this is mostly harmless, because the semantics of XQueryX are defined as the semantics of the XQuery that results from applying the XQueryX stylesheet to an XQueryX document.  If a sequence type that is not simply an item type were specified in the XQueryX document as the type of the context item, the resulting XQuery would be syntactically invalid, meaning that the XQueryX was invalid. 

However, at the cost of several hours, I was able to modify the definition of contextItemDecl in the XQueryX schema and stylesheet to accommodate your suggestion. 

I am marking this bug RESOLVED/FIXED.  If you agree, please mark it CLOSED.
Comment 2 Tim Mills 2013-05-07 16:16:50 UTC
Thanks.  I'm happy that this resolves the problem.
Comment 3 Jim Melton 2013-11-19 00:17:22 UTC
The author of the original bug report agrees that it has been resolved to his satisfaction.  The fact that it was not marked CLOSED at the time was accidental, so I am marking it CLOSED now.